Package org.apache.catalina.core

# Class ApplicationMapping

java.lang.Object
org.apache.catalina.core.ApplicationMapping

public class ApplicationMapping extends Object

## Constructor Summary

Constructors
Constructor
Description
`ApplicationMapping(MappingData mappingData)`

## Method Summary

Modifier and Type
Method
Description
`HttpServletMapping`
`getHttpServletMapping()`
`void`
`recycle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApplicationMapping

public ApplicationMapping(MappingData mappingData)

## Method Details

### getHttpServletMapping

public HttpServletMapping getHttpServletMapping()

### recycle

public void recycle()